head	1.1;
branch	1.1.1;
access;
symbols
	netbsd-11-0-RC4:1.1.1.1
	netbsd-11-0-RC3:1.1.1.1
	netbsd-11-0-RC2:1.1.1.1
	netbsd-11-0-RC1:1.1.1.1
	OPENLDAP2_6_10:1.1.1.2
	perseant-exfatfs-base-20250801:1.1.1.1
	netbsd-11:1.1.1.1.0.6
	netbsd-11-base:1.1.1.1
	netbsd-10-1-RELEASE:1.1.1.1
	perseant-exfatfs-base-20240630:1.1.1.1
	perseant-exfatfs:1.1.1.1.0.4
	perseant-exfatfs-base:1.1.1.1
	netbsd-10-0-RELEASE:1.1.1.1
	netbsd-10-0-RC6:1.1.1.1
	netbsd-10-0-RC5:1.1.1.1
	netbsd-10-0-RC4:1.1.1.1
	netbsd-10-0-RC3:1.1.1.1
	netbsd-10-0-RC2:1.1.1.1
	netbsd-10-0-RC1:1.1.1.1
	netbsd-10:1.1.1.1.0.2
	netbsd-10-base:1.1.1.1
	OPENLDAP2_5_6:1.1.1.1
	OPENLDAP:1.1.1;
locks; strict;
comment	@# @;


1.1
date	2021.08.14.16.05.11;	author christos;	state Exp;
branches
	1.1.1.1;
next	;
commitid	KGC86c2DM9XNjX4D;

1.1.1.1
date	2021.08.14.16.05.11;	author christos;	state Exp;
branches;
next	1.1.1.2;
commitid	KGC86c2DM9XNjX4D;

1.1.1.2
date	2025.09.05.21.09.35;	author christos;	state Exp;
branches;
next	;
commitid	fYrnJMLV6F5flz9G;


desc
@@


1.1
log
@Initial revision
@
text
@#! /bin/sh
# $OpenLDAP$
## This work is part of OpenLDAP Software <http://www.openldap.org/>.
##
## Copyright 1998-2021 The OpenLDAP Foundation.
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted only as authorized by the OpenLDAP
## Public License.
##
## A copy of this license is available in the file LICENSE in the
## top-level directory of the distribution or, alternatively, at
## <http://www.OpenLDAP.org/license.html>.

. $SRCDIR/scripts/defines.sh

TB="" TN=""
if test -t 1 ; then
    TB=`$SHTOOL echo -e "%B" 2>/dev/null`
    TN=`$SHTOOL echo -e "%b" 2>/dev/null`
fi

FAILCOUNT=0
SKIPCOUNT=0
SLEEPTIME=10

echo ">>>>> Executing all LDAP tests for the Load Balancer"

if [ -n "$NOEXIT" ]; then
    echo "Result    Test" > $TESTWD/results
fi

for CMD in $SRCDIR/scripts/lloadd/test*; do
    case "$CMD" in
        *~)        continue;;
        *.bak)    continue;;
        *.orig)    continue;;
        *.sav)    continue;;
        *)        test -f "$CMD" || continue;;
    esac

    # remove cruft from prior test
    if test $PRESERVE = yes ; then
        /bin/rm -rf $TESTDIR/db.*
    else
        /bin/rm -rf $TESTDIR
    fi
    if test $BACKEND = ndb ; then
        mysql --user root <<EOF
        drop database if exists db_1;
        drop database if exists db_2;
        drop database if exists db_3;
        drop database if exists db_4;
        drop database if exists db_5;
        drop database if exists db_6;
EOF
    fi

    BCMD=`basename $CMD`
    if [ -x "$CMD" ]; then
        echo ">>>>> Starting ${TB}$BCMD${TN} for $BACKEND..."
        START=`date +%s`
        $CMD
        RC=$?
        END=`date +%s`

        if test $RC -eq 0 ; then
            echo ">>>>> $BCMD completed ${TB}OK${TN} for $BACKEND after $(( $END - $START )) seconds."
        else
            echo ">>>>> $BCMD ${TB}failed${TN} for $BACKEND after $(( $END - $START )) seconds"
            FAILCOUNT=`expr $FAILCOUNT + 1`

            if [ -n "$NOEXIT" ]; then
                echo "Continuing."
            else
                echo "(exit $RC)"
                exit $RC
            fi
        fi
    else
        echo ">>>>> Skipping ${TB}$BCMD${TN} for $BACKEND."
        SKIPCOUNT=`expr $SKIPCOUNT + 1`
        RC="-"
    fi

    if [ -n "$NOEXIT" ]; then
        echo "$RC    $BCMD" >> $TESTWD/results
    fi

#    echo ">>>>> waiting $SLEEPTIME seconds for things to exit"
#    sleep $SLEEPTIME
    echo ""
done

if [ -n "$NOEXIT" ]; then
    if [ "$FAILCOUNT" -gt 0 ]; then
        cat $TESTWD/results
        echo "$FAILCOUNT tests for $BACKEND ${TB}failed${TN}. Please review the test log."
    else
        echo "All executed tests for $BACKEND ${TB}succeeded${TN}."
    fi
fi

echo "$SKIPCOUNT tests for the Load Balancer were ${TB}skipped${TN}."
@


1.1.1.1
log
@Import OpenLDAP 2.5.6:

OpenLDAP 2.5.6 Release (2021/07/27)
	Fixed libldap buffer overflow (ITS#9578)
	Fixed libldap missing mutex unlock on connection alloc failure (ITS#9590)
	Fixed lloadd cn=config olcBkLloadClientMaxPending setting (ITS#8747)
	Fixed slapd multiple config defaults (ITS#9363)
	Fixed slapd ipv6 addresses to work with tcp wrappers (ITS#9603)
	Fixed slapo-syncprov delete of nonexistent sessionlog (ITS#9608)
	Build
		Fixed library symbol versioning on Solaris (ITS#9591)
		Fixed compile warning in libldap/tpool.c (ITS#9601)
		Fixed compile wraning in libldap/tls_o.c (ITS#9602)
	Contrib
		Fixed ppm module for sysconfdir (ITS#7832)
	Documentation
		Updated guide to document multival, idlexp, and maxentrysize (ITS#9613, ITS#9614)

OpenLDAP 2.5.5 Release (2021/06/03)
	Added libldap LDAP_OPT_TCP_USER_TIMEOUT support (ITS#9502)
	Added lloadd tcp-user-timeout support (ITS#9502)
	Added slapd-asyncmeta tcp-user-timeout support (ITS#9502)
	Added slapd-ldap tcp-user-timeout support (ITS#9502)
	Added slapd-meta tcp-user-timeout support (ITS#9502)
	Fixed incorrect control OIDs for AuthZ Identity (ITS#9542)
	Fixed libldap typo in util-int.c (ITS#9541)
	Fixed libldap double free of LDAP_OPT_DEFBASE (ITS#9530)
	Fixed libldap better TLS1.3 cipher suite handling (ITS#9521, ITS#9546)
	Fixed lloadd multiple issues (ITS#8747)
	Fixed slapd slap_op_time to avoid duplicates across restarts (ITS#9537)
	Fixed slapd typo in daemon.c (ITS#9541)
	Fixed slapd slapi compilation (ITS#9544)
	Fixed slapd to handle empty DN in extended filters (ITS#9551)
	Fixed slapd syncrepl searches with empty base (ITS#6467)
	Fixed slapd syncrepl refresh on startup (ITS#9324, ITS#9534)
	Fixed slapd abort due to typo (ITS#9561)
	Fixed slapd-asyncmeta quarantine handling (ITS#8721)
	Fixed slapd-asyncmeta to have a default operations timeout (ITS#9555)
	Fixed slapd-ldap quarantine handling (ITS#8721)
	Fixed slapd-mdb deletion of context entry (ITS#9531)
	Fixed slapd-mdb off-by-one affecting search scope (ITS#9557)
	Fixed slapd-meta quarantine handling (ITS#8721)
	Fixed slapo-accesslog to record reqNewDN for modRDN ops (ITS#9552)
	Fixed slapo-pcache locking during expiration (ITS#9529)
	Build
		Fixed slappw-argon2 module installation (ITS#9548)
	Contrib
		Update ldapc++/ldaptcl to use configure.ac (ITS#9554)
	Documentation
		ldap_first_attribute(3) - Document ldap_get_attribute_ber (ITS#8820)
        ldap_modify(3) - Delete non-existent mod_next parameter (ITS#9559)

OpenLDAP 2.5.4 Release (2021/04/29)
	Initial release for "general use".

OpenLDAP 2.4.59 Release (2021/06/03)
	Fixed libldap TLSv1.3 cipher suites with OpenSSL 1.1.1 (ITS#9521)
	Fixed libldap double free of LDAP_OPT_DEFBASE (ITS#9530)
	Fixed slapd syncrepl handling of add+delete on single value attr (ITS#9295)
	Fixed slapd-mdb cursor init check (ITS#9526)
	Fixed slapd-mdb deletion of context entry (ITS#9531)
	Fixed slapd-mdb off-by-one affecting search scope (ITS#9557)
	Fixed slapo-pcache locking during expiration (ITS#9529)
	Contrib
		Fixed slapo-autogroup to not thrash thread context (ITS#9494)
	Documentation
		ldap_modify(3) - Delete non-existent mod_next parameter (ITS#9559)

OpenLDAP 2.4.58 Release (2021/03/16)
	Fixed slapd validity checks for issuerAndThisUpdateCheck (ITS#9454)
	Fixed slapd to alloc new conn struct after freeing old one (ITS#9458)
	Fixed slapd syncrepl to check all contextCSNs (ITS#9282)
	Fixed slapd-bdb lockdetect config (ITS#9449)

OpenLDAP 2.4.57 Release (2021/01/18)
	Fixed ldapexop to use correct return code (ITS#9417)
	Fixed slapd to remove asserts in UUIDNormalize (ITS#9391)
	Fixed slapd to remove assert in csnValidate (ITS#9410)
	Fixed slapd validity checks for issuerAndThisUpdateCheck (ITS#9411, ITS#9427)
	Fixed slapd validity checks for serialNumberAndIssuerCheck (ITS#9404, ITS#9424)
	Fixed slapd AVA sort with invalid RDN (ITS#9412)
	Fixed slapd ldap_X509dn2bv to check for invalid BER after RDN count (ITS#9423, ITS#9425)
	Fixed slapd saslauthz to remove asserts in validation (ITS#9406, ITS#9407)
	Fixed slapd saslauthz to use slap_sl_free on normalized DN (ITS#9409)
	Fixed slapd saslauthz SEGV in slap_parse_user (ITS#9413)
	Fixed slapd modrdn memory leak (ITS#9420)
	Fixed slapd double-free in vrfilter (ITS#9408)
	Fixed slapd cancel operation to correctly terminate (ITS#9428)
	Fixed slapd-ldap fix binds on retry with closed connection (ITS#9400)
	Fixed slapo-syncprov to ignore duplicate sessionlog entries (ITS#9394)

OpenLDAP 2.4.56 Release (2020/11/10)
	Fixed slapd to remove assert in certificateListValidate (ITS#9383)
	Fixed slapd to remove assert in csnNormalize23 (ITS#9384)
	Fixed slapd to better parse ldapi listener URIs (ITS#9379)

OpenLDAP 2.4.55 Release (2020/10/26)
	Fixed slapd normalization handling with modrdn (ITS#9370)
	Fixed slapd-meta to check ldap_install_tls return code (ITS#9366)
	Contrib
		Fixed nssov misplaced semicolon (ITS#8731, ITS#9368)

OpenLDAP 2.4.54 Release (2020/10/12)
	Fixed slapd delta-syncrepl to ignore delete ops on deleted entry (ITS#9342)
	Fixed slapd delta-syncrepl to be fully serialized (ITS#9330)
	Fixed slapd delta-syncrepl MOD on zero-length context entry (ITS#9352)
	Fixed slapd syncrepl to be fully serialized (ITS#8102)
	Fixed slapd syncrepl to call check_syncprov on fresh consumer (ITS#9345)
	Fixed slapd syncrepl to propagate errors from overlay_entry_get_ov (ITS#9355)
	Fixed slapd syncrepl to not create empty ADD ops (ITS#9359)
	Fixed slapd syncrepl replace usage on single valued attrs (ITS#9295)
	Fixed slapd-monitor fix monitor_back_register_database for empty suffix DB (ITS#9353)
	Fixed slapo-accesslog normalizer for reqStart (ITS#9358)
	Fixed slapo-accesslog to not generate new contextCSN on purge (ITS#9361)
	Fixed slapo-syncprov contextCSN generation with empty suffix (ITS#9015)
	Fixed slapo-syncprov sessionlog to use a TAVL tree (ITS#8486)

OpenLDAP 2.4.53 Release (2020/09/07)
	Added slapd syncrepl additional SYNC logging (ITS#9043)
	Fixed slapd syncrepl segfault on NULL cookie on REFRESH (ITS#9282)
	Fixed slapd syncrepl to use fresh connection on REFRESH fallback (ITS#9338)
	Fixed slapo-ppolicy race condition for pwdFailureTime (ITS#9302,ITS#9334)
	Build
		Require OpenSSL 1.0.2 or later (ITS#9323)
		Fixed libldap compilation issue with broken C compilers (ITS#9332)

OpenLDAP 2.4.52 Release (2020/08/28)
	Added libldap LDAP_OPT_X_TLS_REQUIRE_SAN option (ITS#9318)
	Added libldap OpenSSL support for multiple EECDH curves (ITS#9054)
	Added slapd OpenSSL support for multiple EECDH curves (ITS#9054)
	Fixed librewrite malloc/free corruption (ITS#9249)
	Fixed libldap hang when using UDP and server down (ITS#9328)
	Fixed slapd syncrepl rare deadlock due to network issues (ITS#9324)
	Fixed slapd syncrepl regression that could trigger an assert (ITS#9329)
	Fixed slapd-mdb index error with collapsed range (ITS#9135)

OpenLDAP 2.4.51 Release (2020/08/11)
	Added slapo-ppolicy implement Netscape password policy controls (ITS#9279)
	Fixed libldap retry loop in ldap_int_tls_connect (ITS#8650)
	Fixed libldap to use getaddrinfo in ldap_pvt_get_fqdn (ITS#9287)
	Fixed slapd to enforce singular existence of some overlays (ITS#9309)
	Fixed slapd syncrepl to not delete non-replicated attrs (ITS#9227)
	Fixed slapd syncrepl to correctly delete entries on resync (ITS#9282)
	Fixed slapd syncrepl to use replace on single valued attrs (ITS#9294, ITS#9295)
	Fixed slapd-perl dynamic config with threaded slapd (ITS#7573)
	Fixed slapo-ppolicy to expose the ppolicy control (ITS#9285)
	Fixed slapo-ppolicy race condition for pwdFailureTime (ITS#9302)
	Fixed slapo-ppolicy so it can only exist once per DB (ITS#9309)
	Fixed slapo-chain to check referral (ITS#9262)
	Build Environment
		Fix test064 so it no longer uses bashisms (ITS#9263)
	Contrib
		Fix default prefix value for pw-argon2, pw-pbkdf2 modules (ITS#9248)
		slapo-allowed - Fix usage of uninitialized variable (ITS#9308)
	Documentation
		ldap_parse_result(3) - Document ldap_parse_intermediate (ITS#9271)
@
text
@@


1.1.1.2
log
@Import OpenLDAP 2.6.10 (previous was 2.5.6)

A.1. New Features and Enhancements in 2.6
A.1.1. New features in slapd
slapd now supports logging directly to a file, bypassing syslog.

A.1.2. New features in lloadd
lloadd now supports additional balancing mechansims

A.2. Obsolete Features Removed From 2.6
These features were strongly deprecated in 2.5 and removed in 2.6.

A.2.1. back-ndb
The experimental and incomplete back-ndb backend was removed.

See CHANGES for the complete list of bugfixes.
@
text
@d5 1
a5 1
## Copyright 1998-2024 The OpenLDAP Foundation.
d28 1
a28 10
# check for BSD vs GNU date
date -j >/dev/null 2>&1
RC=$?
if [ $RC -ne 0 ]; then
	DATEOPT="-d @@"
else
	DATEOPT="-r "
fi

echo ">>>>> $(timer) Executing all LDAP tests for the Load Balancer"
d49 10
d62 1
a62 3
        MSG=">>>>> $(timer) Starting ${TB}$BCMD${TN} for lloadd+$BACKEND..."
        [ -n "$TESTINST" ] && echo "$MSG" >&2
        echo "$MSG"
d64 1
a64 5
        if [ -n "$TESTINST" ]; then
            $CMD 2>&1
        else
            $CMD
        fi
d69 1
a69 3
            MSG=">>>>> $(timer) Finished $BCMD for lloadd+$BACKEND after $(( $END - $START )) seconds."
            [ -n "$TESTINST" ] && echo "$MSG" >&2
            echo "$MSG"
d71 1
a71 3
            MSG=">>>>> $(timer) Failed   $BCMD for lloadd+$BACKEND after $(( $END - $START )) seconds"
            [ -n "$TESTINST" ] && echo "$MSG" >&2
            echo "$MSG"
d82 1
a82 3
        MSG=">>>>> $(timer) Skipping ${TB}$BCMD${TN} for lloadd+$BACKEND."
        [ -n "$TESTINST" ] && echo "$MSG" >&2
        echo "$MSG"
@

